#define LED1_PIN 6
#define LED2_PIN 5
#define BUZZER_PIN 3
#define SLIDER1_LED_PIN 11
#define SLIDER2_LED_PIN 10
#define SLIDER3_LED_PIN 9

#define LATCH_PIN 8
#define CLOCK_PIN 12
#define DATA_PIN 13


const byte ledCharSet[12] = {
  B11000000, // 0
  B11111001, // 1
  B10100100, // 2
  B10110000, // 3
  B10011001, // 4
  B10010010, // 5
  B10000010, // 6
  B11111000, // 7
  B10000000, // 8
  B10010000, // 9
  B11111111, // null
  B01111111  // point
};


void setup() {
  Serial.begin(9600);

  pinMode(LED1_PIN, OUTPUT);
  digitalWrite(LED1_PIN, LOW);
  
  pinMode(LED2_PIN, OUTPUT);
  digitalWrite(LED2_PIN, LOW);

  pinMode(BUZZER_PIN, OUTPUT);
  digitalWrite(BUZZER_PIN, LOW);
  
  pinMode(SLIDER1_LED_PIN, OUTPUT);
  digitalWrite(SLIDER1_LED_PIN, LOW);
  
  pinMode(SLIDER2_LED_PIN, OUTPUT);
  digitalWrite(SLIDER2_LED_PIN, LOW);
  
  pinMode(SLIDER3_LED_PIN, OUTPUT);
  digitalWrite(SLIDER3_LED_PIN, LOW);
  
  pinMode(LATCH_PIN, OUTPUT);
  digitalWrite(LATCH_PIN, LOW);
  pinMode(CLOCK_PIN, OUTPUT);
  digitalWrite(CLOCK_PIN, LOW);
  pinMode(DATA_PIN, OUTPUT);
  digitalWrite(DATA_PIN, LOW);
}

void segment(int num) {
  digitalWrite(LATCH_PIN,LOW);
  shiftOut(DATA_PIN,CLOCK_PIN,MSBFIRST,~(ledCharSet[num]));
  digitalWrite(LATCH_PIN,HIGH);
}

void loop() {
  segment(10);
  delay(2000);
  
  segment(0);
  digitalWrite(SLIDER1_LED_PIN, HIGH);
  delay(2000);
  
  segment(1);
  digitalWrite(SLIDER2_LED_PIN, HIGH);
  delay(2000);
  
  segment(2);
  digitalWrite(SLIDER3_LED_PIN, HIGH);
  delay(2000);
  
  segment(3);
  digitalWrite(LED1_PIN, HIGH);
  delay(2000);
  
  segment(4);
  digitalWrite(LED2_PIN, HIGH);
  delay(2000);
  
  segment(5);
  digitalWrite(BUZZER_PIN, HIGH);
  delay(2000);
  
  segment(5);
  digitalWrite(BUZZER_PIN, LOW);
  delay(2000);
  
  segment(6);
  digitalWrite(LED2_PIN, LOW);
  delay(2000);
  
  segment(7);
  digitalWrite(LED1_PIN, LOW);
  delay(2000);
  
  segment(8);
  digitalWrite(SLIDER3_LED_PIN, LOW);
  delay(2000);
  
  segment(9);
  digitalWrite(SLIDER2_LED_PIN, LOW);
  delay(2000);
  
  segment(11);
  digitalWrite(SLIDER1_LED_PIN, LOW);
  delay(2000);
}
